<?xml version="1.0" encoding="utf-8"?>
<Session ID="/baanerp/tt/aad/ttaad2220m000" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Change length of OS User Names (ttaad2220m000)</Title>
	</Header>
	<HelpTopic xml:lang="en"><AimSection><Paragraph class="Default">You can use this session to convert the length of the Operating System (OS) user name.</Paragraph>
		</AimSection>
		<GeneralSection><Paragraph class="Default">You can define the new length for OS user names.</Paragraph>
			<Paragraph class="Default">Based on that information, the user name fields in the tables are adjusted accordingly.</Paragraph>
			<List><ListIntro>The process will execute the following steps:</ListIntro>
				<ListItem>Create a new structure to store runtime user files. Session: <Link href="/baanerp/tt/ams/ttams2200m000" role="session">Convert Changes to Runtime DD (ttams2200m000)</Link>.</ListItem>
				<ListItem>Change the length of table fields that store the OS user names. These OS user names are stored in the <GUIRef href="/baanerp/tt/aad/ttaad200" role="table">User Data (ttaad200)</GUIRef> and <GUIRef href="/baanerp/tt/aad/ttaad320" role="table">Printer Queue (ttaad320)</GUIRef> tables.</ListItem>
				<ListItem>Convert the changed tables to runtime. Session: Create Runtime Data Dictionary for <GUIRef href="/baanerp/tt" role="package">Tools</GUIRef>.</ListItem>
			</List>
			<Paragraph class="Default">After you run this session, the location of the runtime user files has been changed. You cannot undo that change. If you start the session again the location change step will be skipped.</Paragraph>
			<Note><SectionTitle>Notes</SectionTitle>
				<Paragraph class="Default">When you execute this session all users must log off.</Paragraph>
				<Paragraph class="Default">If your ERP LN application runs on Windows, you must restart the shared memory manager after the execution of this session.</Paragraph>
			</Note>
		</GeneralSection>
		<RelatedTopics><SectionTitle>
                                 Related topics
                              </SectionTitle>
			<RelTopic><Link href="/baanerp/tt/ams/ttams2200m000" role="session">Convert Changes to Runtime DD (ttams2200m000)</Link>
			</RelTopic>
			<RelTopic><Link href="/baanerp/tt/adv/ttadv5213m000" role="session">Create Runtime Data Dictionary for Tools (ttadv5213m000)</Link>
			</RelTopic>
			<RelTopic><Link href="/baanerp/tt/dba/ttdba0915m000" role="session">Convert Infor ERP User to Database User (ttdba0915m000)</Link>
			</RelTopic>
			<RelTopic><Link href="/baanerp/tt/onlinemanual/000051" role="manual">To create an ERP LN user</Link>
			</RelTopic>
		</RelatedTopics>
	</HelpTopic>
	<Fields><FieldHelp ID="cur.leng"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Current OS User Name length</Title>
			</Header>
			<FuncDesc>The current OS user name length.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="new.leng"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">New OS User Name length</Title>
			</Header>
			<FuncDesc>In this field the new OS user name length can be specified.</FuncDesc>
			<SimpleSection><Paragraph class="Default">The maximum length that can be specified is 254.</Paragraph>
				<Paragraph class="Default">The minimum length that can be specified is 8.</Paragraph>
			</SimpleSection>
		</FieldHelp>
	</Fields>
</Session>
